<?php

namespace Shopware\Components\Api\Resource;

use Shopware\Components\Api\Exception as ApiException;
use Shopware\Models\Order\Detail as OrderDetailModel;
use Shopware\Models\Attribute\OrderDetail as OrderDetailAttributeModel;


/**
 * Class OrderDetailAttribute
 *
 * @package Shopware\Components\Api\Resource
 */
class OrderDetailAttribute extends Resource
{

   public function createOrUpdate(array $params)
    {
        $shipmentNumber = $params["shipmentNumber"];
        $service = Shopware()->Container()->get('shopware_attribute.crud_service');
        $service->update('s_order_details_attributes', "trackingCode_".$shipmentNumber, 'string', [
            'custom' => true,
            'supportText' => 'Quivers Shipment '. $shipmentNumber,
            'label' => "Tracking Code",
            'displayInBackend' => true,
        ], null, true);
         $service->update('s_order_details_attributes', "quantityShipped_".$shipmentNumber, 'integer', [
            'custom' => true,
            'supportText' => 'Quivers Shipment '. $shipmentNumber,
            'label' => "Quantity Shipped",
            'displayInBackend' => true,
        ], null, true, 0);
         $service->update('s_order_details_attributes', "shippingCarrier_".$shipmentNumber, 'string', [
            'custom' => true,
            'supportText' => 'Quivers Shipment '. $shipmentNumber,
            'label' => "Shipping Carrier",
            'displayInBackend' => true,
        ], null, true);
         $service->update('s_order_details_attributes', "taxRefunded_".$shipmentNumber, 'float', [
            'custom' => true,
            'supportText' => 'Quivers Shipment '. $shipmentNumber,
            'label' => "Tax Refunded",
            'displayInBackend' => true,
        ], null, true, 0);
         $service->update('s_order_details_attributes', "shippingFee_".$shipmentNumber, 'float', [
            'custom' => true,
            'supportText' => 'Quivers Shipment '. $shipmentNumber,
            'label' => "Shipping Fee Refunded",
            'displayInBackend' => true,
        ], null, true, 0);
        $metaDataCache = Shopware()->Models()->getConfiguration()->getMetadataCacheImpl();
        $metaDataCache->deleteAll();
        Shopware()->Models()->generateAttributeModels(['s_order_details_attributes']);
        $this->flush();
        return true;
    }

}