<?php

/**
 * Class Shopware_Controller_Api_Detail
 */

use Shopware\Models\Order\Detail;
use Shopware\Models\Order\DetailStatus;
use Quivers\Components\CustomEvent as CustomEvent;

class Shopware_Controllers_Api_Detail extends Shopware_Controllers_Api_Rest
{
    /**
     * @var Shopware\Components\Api\Resource\OrderDetail
     */
    protected $resource = null;

    public function init()
    {
        $this->resource = \Shopware\Components\Api\Manager::getResource('OrderDetail');
    }



     public function getAction()
    {
       $id = $this->Request()->getParam('id');

        /** @var \Shopware\Models\Order\Detail $data */
        $data = $this->resource->getOne($id);

        $this->View()->assign(['success' => true, 'data' => $data]);
    }

    public function putAction()
    {
        $id = $this->Request()->getParam('id');
        $params = $this->Request()->getPost();
        if (empty($id)){
            $this->View()->assign([
                'success' => false,
                'data' => $this->Request()->getParams(),
                'message' => $namespace->get('id_passed', 'No valid  id passed.'),
            ]);
            return;
        }
        $data = $this->resource->update($id, $params);
        $this->container->get('quivers_plugin.custom_event')->refundAction($id, $params);

        $position = $this->apiBaseUrl . 'detail/' . $id;
        $this->View()->assign([
                'id' => $data->getId(),
                'data' => $position,
            ]);
    }

    public function indexAction(): void
    {
        $limit = (int) $this->Request()->getParam('limit', 1000);
        $offset = (int) $this->Request()->getParam('start', 0);
        $sort = $this->Request()->getParam('sort', []);
        $filter = $this->Request()->getParam('filter', []);

        $result = $this->resource->getList($offset, $limit, $filter, $sort);

        $this->View()->assign($result);
        $this->View()->assign('success', true);
    }
}