<?php

namespace Quivers\Models\Settings;

use Doctrine\ORM\Mapping as ORM;
use Shopware\Components\Model\ModelEntity;

/**
 * @ORM\Entity()
 * @ORM\Table(name="quivers_tax_settings")
 */
class QuiversTaxSettings extends ModelEntity
{   
     /**
     * Primary Key - autoincrement value
     *
     * @var integer $id
     *
     * @ORM\Column(name="id", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    public $id;

    /**
     * @var string
     * @ORM\Column(name="currency", type="string")
     */
    public $currency;

    /**
     * @var string
     * @ORM\Column(name="market_places", type="string")
     */
    public $marketPlaces;

    /**
     * @var array
     * @ORM\Column(name="claiming_groups", type="array")
     */
    public $claimingGroups;

    
     /**
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @return string
     */
    public function getCurrency()
    {
        return $this->currency;
    }

    /**
     * @param string $currency
     */
    public function setCurrency($currency)
    {
        $this->currency = $currency;
    }

      /**
     * @return string
     */
     public function getMarketPlaces()
    {
        return $this->marketPlaces;
    }

    /**
     * @param string $marketPlaces
     */
    public function setMarketPlaces($marketPlaces)
    {
        $this->marketPlaces = $marketPlaces;
    }

    /**
     * @return array
     */
     public function getClaimingGroups()
    {
        return $this->claimingGroups;
    }

    /**
     * @param array $claimingGroups
     */
    public function setClaimingGroups($claimingGroups)
    {
        $this->claimingGroups = $claimingGroups;
    }

    /**
     * @return array
     */
    public function toArray()
    {
        return get_object_vars($this);
    }
}
