Ext.define('Shopware.apps.QuiversConfiguration.view.Window', {
    extend: 'Enlight.app.Window',
    title: 'Quivers-Configuration',
    alias: 'widget.quivers-configuration-window',

    height: '70%',
    width: '45%',
    layout: 'anchor',
    autoScroll: true,

    /**
     * @type { Ext.tab.Panel }
     */
    tabContainer: null,

    /**
     * @type { Shopware.apps.QuiversConfiguration.view.tabs.General }
     */
    generalTab: null,


    /**
     * @type { Shopware.apps.QuiversConfiguration.view.tabs.QuiversTax }
     */
    quiversTax: null,
    
    
    /**
     * @type { Shopware.apps.QuiversConfiguration.view.tabs.StripeConfig }
     */
    stripeTab:null,
    


    initComponent: function() {
        var me = this;

        me.items = me.createItems();

        me.callParent(arguments);

        // Manually set the background color of the window body.
        me.setBodyStyle({
            background: '#EBEDEF'
        });
    },

    /**
     * @returns { Array }
     */
    createItems: function() {
        var me = this,
            items = [];

        items.push(me.createTabElement());

        return items;
    },

    /**
     * @returns { Ext.tab.Panel }
     */
    createTabElement: function() {
        var me = this;
        me.generalTab = Ext.create('Shopware.apps.QuiversConfiguration.view.tabs.General');
        me.quiversTax = Ext.create('Shopware.apps.QuiversConfiguration.view.tabs.QuiversTax');
        me.stripeTab = Ext.create('Shopware.apps.QuiversConfiguration.view.tabs.StripeConfig');

        me.tabContainer = Ext.create('Ext.tab.Panel', {
            border: false,
            style: {
                background: '#EBEDEF'
            },

            items: [
                me.generalTab,
                me.quiversTax,
                me.stripeTab
            ]
        });

        return me.tabContainer;
    },
});
